# TickMark (Javadocs: controlP5)
Date: 2014-04-27

controlP5

## Class TickMark

- java.lang.Object
- - controlP5.TickMark

All Implemented Interfaces:
  CDrawable

    public class TickMark
    extends java.lang.Object
    implements CDrawable

Tickmarks are used by the Slider and Knob controller.

### Constructor Summary

Constructors
Constructor and Description
`TickMark(Controller<?> theController)`

### Method Summary

Methods
`void` `draw(processing.core.PGraphics theGraphics)`
`void` `draw(processing.core.PGraphics theGraphics, int theDirection)`
`Label` `getLabel()`
`Label` `setLabel(java.lang.String theLabeltext)`
`void` `setLength(int theLength)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TickMark

    public TickMark(Controller<?> theController)

### Method Detail

#### draw

    public void draw(processing.core.PGraphics theGraphics)

Specified by:
  `draw` in interface `CDrawable`

#### draw

    public void draw(processing.core.PGraphics theGraphics,
            int theDirection)

#### getLabel

    public Label getLabel()

#### setLabel

    public Label setLabel(java.lang.String theLabeltext)

#### setLength

    public void setLength(int theLength)